using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.YiBin.ZzptPlatformsYB
{
    public class AcceptTypeListDto
    {
        /// <summary>
        /// 
        /// </summary>
        [JsonPropertyName("name")]
        public string Name { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [JsonPropertyName("value")]
        public string Value { get; set; }
    }

    /// <summary>
    /// 2.3.3查询办理进度参数
    /// </summary>
    public class WriteInfoReturnDto
    {
        [JsonPropertyName("LetterCode")]
        public string LetterCode { get; set; }

        [JsonPropertyName("LetterPwd")]
        public string LetterPwd { get; set; }
    }

    /// <summary>
    /// 2.3.3查询办理进度
    /// </summary>
    public class GetFlowInfoReturnDto
    {
        /// <summary>
        /// 办理部门
        /// </summary>
        [JsonPropertyName("AcceptName")]
        public string AcceptName { get; set; }

        /// <summary>
        /// 办理人
        /// </summary>
        [JsonPropertyName("AcceptUser")]
        public string AcceptUser { get; set; }

        /// <summary>
        /// 办理意见
        /// </summary>
        [JsonPropertyName("AcceptContent")]
        public string AcceptContent { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        [JsonPropertyName("AcceptState")]
        public string AcceptState { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        [JsonPropertyName("AcceptDate")]
        public string AcceptDate { get; set; }

        /// <summary>
        /// 是否完结
        /// </summary>
        [JsonPropertyName("AcceptEnd")]
        public string AcceptEnd { get; set; }
    }

    /// <summary>
    /// 2.3.4查询办理结果
    /// </summary>
    public class GetFlowDetailReturnDto
    {
        /// <summary>
        /// 办理状态 0办理中  1已完成
        /// </summary>
        [JsonPropertyName("state")]
        public string State { get; set; }

        /// <summary>
        /// 办理结果内容
        /// </summary>
        [JsonPropertyName("content")]
        public string Content { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        [JsonPropertyName("AcceptName")]
        public string AcceptName { get; set; }

        /// <summary>
        /// 办理用户
        /// </summary>
        [JsonPropertyName("AcceptUser")]
        public string AcceptUser { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        [JsonPropertyName("AcceptDate")]
        public DateTime? AcceptDate { get; set; }
    }

    /// <summary>
    /// 网络理政办件结果查询
    /// </summary>
    public class WllzOrderInfoReturnDto
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        [JsonPropertyName("Code")]
        public string Code { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        [JsonPropertyName("State")]
        public string State { get; set; }

        /// <summary>
        /// 办理结果
        /// </summary>
        [JsonPropertyName("Ccontent")]
        public string Ccontent { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        [JsonPropertyName("AcceptName")]
        public string AcceptName { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        [JsonPropertyName("AcceptDate")]
        public string AcceptDate { get; set; }
    }
}
